# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.configuration.backend
from typing_extensions import Literal
import typing
from ...uno.x_interface import XInterface as XInterface_8f010a43
if typing.TYPE_CHECKING:
    from .x_schema_handler import XSchemaHandler as XSchemaHandler_d83412dd

class XSchema(XInterface_8f010a43):
    """
    Handles access to the elements of a component schema, i.e its templates and its component definition.
    
    **since**
    
        OOo 1.1.2

    See Also:
        `API XSchema <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1configuration_1_1backend_1_1XSchema.html>`_
    """
    __pyunointerface__: Literal['com.sun.star.configuration.backend.XSchema']

    def readComponent(self, aHandler: 'XSchemaHandler_d83412dd') -> None:
        """
        Describes only the component definition to a XSchemaHandler.

        Raises:
            com.sun.star.lang.NullPointerException: ``NullPointerException``
            com.sun.star.lang.WrappedTargetException: ``WrappedTargetException``
            MalformedDataException: ``MalformedDataException``
        """
    def readSchema(self, aHandler: 'XSchemaHandler_d83412dd') -> None:
        """
        Describes the full schema (templates + component) to a XSchemaHandler.

        Raises:
            com.sun.star.lang.NullPointerException: ``NullPointerException``
            com.sun.star.lang.WrappedTargetException: ``WrappedTargetException``
            MalformedDataException: ``MalformedDataException``
        """
    def readTemplates(self, aHandler: 'XSchemaHandler_d83412dd') -> None:
        """
        Describes the component templates to a XSchemaHandler.

        Raises:
            com.sun.star.lang.NullPointerException: ``NullPointerException``
            com.sun.star.lang.WrappedTargetException: ``WrappedTargetException``
            MalformedDataException: ``MalformedDataException``
        """

