# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.container
from typing_extensions import Literal
from .x_identifier_replace import XIdentifierReplace as XIdentifierReplace_4ac10fe2

class XIdentifierContainer(XIdentifierReplace_4ac10fe2):
    """
    This is the generic interface for supporting the creation and removal of elements with unique identifiers.

    See Also:
        `API XIdentifierContainer <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1container_1_1XIdentifierContainer.html>`_
    """
    __pyunointerface__: Literal['com.sun.star.container.XIdentifierContainer']

    def insert(self, aElement: object) -> int:
        """
        inserts an element and creates a new unique identifier for it.

        Raises:
            com.sun.star.lang.IllegalArgumentException: ``IllegalArgumentException``
            com.sun.star.lang.WrappedTargetException: ``WrappedTargetException``
        """
    def removeByIdentifier(self, Identifier: int) -> None:
        """
        removes the element with the specified identifier.

        Raises:
            com.sun.star.container.NoSuchElementException: ``NoSuchElementException``
            com.sun.star.lang.WrappedTargetException: ``WrappedTargetException``
        """

