# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.lang
from typing_extensions import Literal
import typing
from ..uno.x_interface import XInterface as XInterface_8f010a43

class XMultiServiceFactory(XInterface_8f010a43):
    """
    Allows creating instances specified by a string name.

    See Also:
        `API XMultiServiceFactory <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1lang_1_1XMultiServiceFactory.html>`_
    """
    __pyunointerface__: Literal['com.sun.star.lang.XMultiServiceFactory']

    def createInstance(self, aServiceSpecifier: str) -> 'XInterface_8f010a43':
        """
        Creates an instance classified by the specified name.

        Raises:
            com.sun.star.uno.Exception: ``Exception``
        """
    def createInstanceWithArguments(self, ServiceSpecifier: str, Arguments: 'typing.Tuple[object, ...]') -> 'XInterface_8f010a43':
        """
        Creates an instance classified by the specified name and passes the arguments to that instance.

        Raises:
            com.sun.star.uno.Exception: ``Exception``
        """
    def getAvailableServiceNames(self) -> 'typing.Tuple[str, ...]':
        """
        Provides the available names of the factory to be used to create instances.
        """

