# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Struct Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.style
# Libre Office Version: 7.2
from typing_extensions import Literal
import typing


class LineSpacing(object):
    """
    Struct Class

    This structure is used to specify the height of a text line.

    See Also:
        `API LineSpacing <https://api.libreoffice.org/docs/idl/ref/structcom_1_1sun_1_1star_1_1style_1_1LineSpacing.html>`_
    """
    typeName: Literal['com.sun.star.style.LineSpacing']

    def __init__(self, Mode: typing.Optional[int] = ..., Height: typing.Optional[int] = ...) -> None:
        """
        Constructor

        Arguments:
            Mode (int, optional): Mode value.
            Height (int, optional): Height value.
        """


    @property
    def Mode(self) -> int:
        """
        This value specifies the way the height is specified.
        """


    @property
    def Height(self) -> int:
        """
        This value specifies the height in regard to Mode.
        """


