# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Struct Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.ucb
# Libre Office Version: 7.2
from typing_extensions import Literal
import typing


class Link(object):
    """
    Struct Class

    defines a link.

    See Also:
        `API Link <https://api.libreoffice.org/docs/idl/ref/structcom_1_1sun_1_1star_1_1ucb_1_1Link.html>`_
    """
    typeName: Literal['com.sun.star.ucb.Link']

    def __init__(self, Source: typing.Optional[str] = ..., Destination: typing.Optional[str] = ...) -> None:
        """
        Constructor

        Arguments:
            Source (str, optional): Source value.
            Destination (str, optional): Destination value.
        """


    @property
    def Source(self) -> str:
        """
        contains the source URI of the link.
        """


    @property
    def Destination(self) -> str:
        """
        contains the destination URI of the link.
        """


