# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.ui
from typing_extensions import Literal
import typing
from ..uno.x_interface import XInterface as XInterface_8f010a43
if typing.TYPE_CHECKING:
    from .xui_configuration_manager import XUIConfigurationManager as XUIConfigurationManager_24e20eef

class XModuleUIConfigurationManagerSupplier(XInterface_8f010a43):
    """
    allows to retrieve user interface configuration managers related to OpenOffice.org modules.
    
    **since**
    
        OOo 2.0

    See Also:
        `API XModuleUIConfigurationManagerSupplier <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1ui_1_1XModuleUIConfigurationManagerSupplier.html>`_
    """
    __pyunointerface__: Literal['com.sun.star.ui.XModuleUIConfigurationManagerSupplier']

    def getUIConfigurationManager(self, ModuleIdentifier: str) -> 'XUIConfigurationManager_24e20eef':
        """
        returns the requested module based user interface configuration manager.

        Raises:
            com.sun.star.container.NoSuchElementException: ``NoSuchElementException``
        """

